## gnutls28 3.6.12

=== debian/changelog ===
gnutls28 (3.6.12-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 14 Feb 2020 16:14:28 +0100

gnutls28 (3.6.12-1) experimental; urgency=low

  [ Debian Janitor ]
  * Drop unnecessary dh arguments: --parallel

  [ Andreas Metzler ]
  * Fix bindtextdomain() call and dgettext() invocations to search for the
    correct filename. (Thanks, Laurent Bigonville for report and diagnosis.)
    Closes: #949151
  * [lintian] Drop superfluous debian/source/include-binaries.
  * New upstream version.
    + Update symbol file.
    + Drop workaround for #658110, install guile shared objects to multi-arch
      paths.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 02 Feb 2020 17:45:13 +0100
