## gnutls28 3.6.13

=== debian/changelog ===
gnutls28 (3.6.13-2ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Set default priority string to only allow TLS1.2, DTLS1.2, and TLS1.3
      with medium security profile (2048 RSA keys minimum, and similar).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Apr 2020 20:44:49 +0200

gnutls28 (3.6.13-2) unstable; urgency=high

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 03 Apr 2020 17:48:40 +0200

gnutls28 (3.6.13-1) experimental; urgency=low

  * New upstream version.
    + libgnutls: Fix a DTLS-protocol regression (caused by TLS1.3
      support), since 3.6.3. The DTLS client would not contribute any
      randomness to the DTLS negotiation, breaking the security
      guarantees of the DTLS protocol
      GNUTLS-SA-2020-03-31 Closes: #955556
  * Fix guile lintian override for shared-lib-without-dependency-information.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 02 Apr 2020 18:31:26 +0200
