=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,7 @@
 	--with-packager=Debian \
 	--with-packager-bug-reports=http://bugs.debian.org/ \
 	--with-packager-version=$(DEB_VERSION) \
+	--with-default-priority-string='NORMAL:-VERS-ALL:+VERS-TLS1.3:+VERS-TLS1.2:+VERS-DTLS1.2:%PROFILE_MEDIUM'
 
 BDIR = -O--builddirectory=b4deb
 
@@ -48,7 +49,7 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs $(BDIR) -p libgnutlsxx28 -V 'libgnutlsxx28 (>= 3.6.11)'
-	dh_makeshlibs $(BDIR) -p libgnutls30  -V 'libgnutls30 (>= 3.6.11-0)' -- -c4
+	dh_makeshlibs $(BDIR) -p libgnutls30  -V 'libgnutls30 (>= 3.6.13-0)' -- -c4
 	dh_makeshlibs $(BDIR) -p libgnutls-dane0  -V 'libgnutls-dane0 (>= 3.6.11-0)' \
 		-- -c4
 	dh_makeshlibs $(BDIR) -p libgnutls-openssl27 -V 'libgnutls-openssl27 (>= 3.6.11-0)'
@@ -59,6 +60,7 @@
 # pre-clean rule: save gnutls.pdf since it is expensive to regenerate.
 # See README.source
 override_dh_auto_clean:
+
 	if [ -e doc/gnutls.pdf ] ; then \
 		mv -v doc/gnutls.pdf doc/gnutls.pdf.debbackup ; fi
 	if test -e Makefile ; then $(MAKE) distclean ; fi
@@ -105,6 +107,7 @@
 	dh_auto_test $(BDIR) --verbose -- VERBOSE=1
 
 override_dh_clean:
+	chmod +x tests/system-override-default-priority-string.sh
 	dh_clean $(BDIR) -X.bak
 
 # Fails with "dwz: Section overlap detected"
