=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,6 @@
 	--with-packager=Debian \
 	--with-packager-bug-reports=http://bugs.debian.org/ \
 	--with-packager-version=$(DEB_VERSION) \
-	--with-default-priority-string='NORMAL:-VERS-ALL:+VERS-TLS1.3:+VERS-TLS1.2:+VERS-DTLS1.2:%PROFILE_MEDIUM'
 
 BDIR = -O--builddirectory=b4deb
 
@@ -46,6 +45,9 @@
 		$(AMCONFBUILDGUILE) \
 		$(AMCONFBUILDINDEP)
 
+override_dh_autoreconf:
+	rm -v `grep -rl gettext-0.20 m4/`
+	dh_autoreconf --verbose $(BDIR)
 
 override_dh_makeshlibs:
 	dh_makeshlibs $(BDIR) -p libgnutlsxx28 -V 'libgnutlsxx28 (>= 3.6.11)'
@@ -60,7 +62,6 @@
 # pre-clean rule: save gnutls.pdf since it is expensive to regenerate.
 # See README.source
 override_dh_auto_clean:
-
 	if [ -e doc/gnutls.pdf ] ; then \
 		mv -v doc/gnutls.pdf doc/gnutls.pdf.debbackup ; fi
 	if test -e Makefile ; then $(MAKE) distclean ; fi
@@ -107,7 +108,6 @@
 	dh_auto_test $(BDIR) --verbose -- VERBOSE=1
 
 override_dh_clean:
-	chmod +x tests/system-override-default-priority-string.sh
 	dh_clean $(BDIR) -X.bak
 
 # Fails with "dwz: Section overlap detected"
