## gnutls28 3.7.1

=== debian/changelog ===
gnutls28 (3.7.1-5+deb11u8) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2025-6395: NULL dereference when 2nd Client Hello omits PSK
  * CVE-2025-32988: Double-free upon error when exporting otherName in SAN
  * CVE-2025-32990: 1-byte write buffer overrun in certtool

 -- Adrian Bunk <bunk@debian.org>  Fri, 08 Aug 2025 14:02:50 +0300

gnutls28 (3.7.1-5+deb11u7) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2024-12243: Potential DoS while parsing a certificate containing
    numerous names or name constraints.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 21 Feb 2025 19:13:22 +0100

gnutls28 (3.7.1-5+deb11u6) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2024-28834 (Minerva attack): side-channel in the deterministic
    ECDSA. (Closes: #1067464)
  * Fix CVE-2024-28835: certtool(1) crash when verifying a certificate chain
    with more than 16 certificates. (Closes: #1067463)
  * Fix memory leak in src/serv.c:listener_free() when a connected client
    disappears.
  * Fix segfault in lib/tls13/early_data.c:_gnutls13_recv_end_of_early_data().
  * Fix potential segfault in lib/tls13/finished.c:_gnutls13_recv_finished().

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 03 Sep 2024 01:30:49 +0200

gnutls28 (3.7.1-5+deb11u5) bullseye; urgency=medium

  * Cherrypick two CVE fixes from 3.8.3:
    Fix assertion failure when verifying a certificate chain with a cycle of
    cross signatures. CVE-2024-0567 GNUTLS-SA-2024-01-09 Closes: #1061045
    Fix more timing side-channel inside RSA-PSK key exchange. CVE-2024-0553
    GNUTLS-SA-2024-01-14 Closes: #1061046

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Jan 2024 07:56:15 +0100

gnutls28 (3.7.1-5+deb11u4) bullseye; urgency=medium

  * Backport fix for CVE-2023-5981 / GNUTLS-SA-2023-10-23 (timing sidechannel
    in RSA-PSK key exchange) from 3.8.2. Closes: #1056188

 -- Andreas Metzler <ametzler@debian.org>  Thu, 30 Nov 2023 11:37:44 +0100

gnutls28 (3.7.1-5+deb11u3) bullseye-security; urgency=high

  * Fix timing sidechannel vulnerability in RSA decryption.
    GNUTLS-SA-2020-07-14 CVE-2023-0361

 -- Andreas Metzler <ametzler@debian.org>  Sun, 12 Feb 2023 13:59:45 +0100

gnutls28 (3.7.1-5+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix double free during gnutls_pkcs7_verify (CVE-2022-2509)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 07 Aug 2022 16:30:17 +0200

gnutls28 (3.7.1-5+deb11u1) bullseye; urgency=medium

  * 56_40-fix-SSSE3-SHA384-to-work-more-than-once.patch: Backport SSSE3 SHA384
    miscalculation fix from 3.7.3.  Closes: #1011246
  * 56_45-wrap_nettle_hash_fast-avoid-calling-_update-with-zer.patch from
    3.7.3: Fix null-pointer dereference flaw. CVE-2021-4209

 -- Andreas Metzler <ametzler@debian.org>  Tue, 14 Jun 2022 18:55:44 +0200

gnutls28 (3.7.1-5) unstable; urgency=medium

  * Another fix from 3.7.2:
    56_30-x509-verify-treat-SHA-1-signed-CA-in-the-trusted-set.patch
  * 40_fix_ipv6only_testsuite_AI_ADDRCONFIG.diff applied upstream, renamed to
    56_33-serv-stop-setting-AI_ADDRCONFIG-on-getaddrinfo.patch

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 May 2021 12:14:30 +0200

gnutls28 (3.7.1-4) unstable; urgency=medium

  * Pull fixes from upstream Git master
    + Ensure array allocations overflow safe.
      https://gitlab.com/gnutls/gnutls/-/issues/1179
      56_15-mem-add-_gnutls_reallocarray-and-_gnutls_reallocarra.patch
      56_16-pkcs11x-find_ext_cb-fix-error-propagation.patch
      56_17-build-avoid-potential-integer-overflow-in-array-allo.patch
      56_18-build-avoid-integer-overflow-in-additions.patch
      56_19-_gnutls_calloc-remove-unused-function.patch
    + Add option to disable TLS 1.3 middlebox compatibility mode
      https://gitlab.com/gnutls/gnutls/-/issues/1208
      56_20-priority-add-option-to-disable-TLS-1.3-middlebox-com.patch
      (Changes gperf input file, add b-d on gperf.)
    + Fix session-id changing when responding to HelloRetryRequest
      56_24-handshake-don-t-regenerate-legacy_session_id-in-seco.patch
      https://gitlab.com/gnutls/gnutls/-/issues/1210
    + Fix timing of sending TLSv1.3 early data.
      56_28-handshake-fix-timing-of-sending-early-data.patch
      https://gitlab.com/gnutls/gnutls/-/issues/1146

 -- Andreas Metzler <ametzler@debian.org>  Sun, 25 Apr 2021 12:55:14 +0200

gnutls28 (3.7.1-3) unstable; urgency=low

  * Rename/refetch
    *build-doc-install-missing-image-file-gnutls-crypto-l.patch, it is has
    been merged into upstream GIT.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 30 Mar 2021 11:21:58 +0200

gnutls28 (3.7.1-2) experimental; urgency=medium

  * Also run ocsptool tests in autopkgtest.
  * Add CVE numbers to previous changelog entry.
  * Pull selected fixes from upstream GIT:
    + 55_01-_gnutls_buffer_resize-account-for-unused-area-if-AGG.patch
    + 55_02-str-suppress-Wunused-function-if-AGGRESSIVE_REALLOC-.patch
    + 56_01-srptool-avoid-FILE-pointer-leak-on-error.patch
    + 56_02-gnutls-cli-debug-avoid-resource-leak-in-saving-DHE-p.patch
    + 56_03-src-avoid-file-descriptor-leak-in-socket_open2.patch
    + 56_04-examples-avoid-memory-leak-in-tlsproxy.patch
    + 56_05-examples-avoid-memory-leak-in-ex-verify.patch
  * 60_build-doc-install-missing-image-file-gnutls-crypto-l.patch
    Ship missing image file. (Thanks, lintian)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Mar 2021 14:01:16 +0100

gnutls28 (3.7.1-1) unstable; urgency=medium

  * New upstream version
    Fixes potential use-after-free in sending "key_share" and "pre_shared_key"
    extensions. GNUTLS-SA-2021-03-10. CVE-2021-20231 CVE-2021-20232
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 10 Mar 2021 19:02:31 +0100

gnutls28 (3.7.0+git20210306-2) experimental; urgency=medium

  * Fix autopkgtest skiplist.


