=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
  ca-certificates <!nocheck>,
  chrpath,
  datefudge <!nocheck>,
- debhelper-compat (=12),
+ debhelper-compat (=13),
  freebsd-net-tools [kfreebsd-i386 kfreebsd-amd64] <!nocheck>,
+ gperf,
  guile-2.2-dev <!noguile>,
  libcmocka-dev <!nocheck>,
  libgmp-dev (>= 2:6),
@@ -26,7 +27,7 @@
  libunbound-dev (>= 1.5.10-1),
  libunistring-dev (>= 0.9.7),
  net-tools [!kfreebsd-i386 !kfreebsd-amd64] <!nocheck>,
- nettle-dev (>= 3.4.1~rc1),
+ nettle-dev (>= 3.6),
  openssl <!nocheck>,
  pkg-config,
  softhsm2 <!nocheck>
@@ -38,7 +39,7 @@
  texlive-plain-generic, texlive-latex-base
 Build-Conflicts: libgnutls-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnutls-team/gnutls
 Vcs-Git: https://salsa.debian.org/gnutls-team/gnutls.git
 Homepage: https://www.gnutls.org/
@@ -56,7 +57,7 @@
  libidn2-dev,
  libp11-kit-dev (>= 0.23.10),
  libtasn1-6-dev,
- nettle-dev (>= 3.4.1~rc1),
+ nettle-dev (>= 3.6),
  ${misc:Depends}
 Suggests: gnutls-bin, gnutls-doc
 Conflicts: gnutls-dev
