## gnutls28 3.7.3

=== debian/changelog ===
gnutls28 (3.7.3-4ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
    TLS1.3 with medium security profile (2048 RSA keys minimum, and
    similar).
    - Reduce parallelism in build to 2 to address FTBFS with lto

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jan 2022 09:23:08 +0100

gnutls28 (3.7.3-4) unstable; urgency=low

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate python3 dependency with :any. (Closes: #1004183)

  [ Andreas Metzler ]
  * CI: Sort test list.
  * CI: Skip another test wrapping a binary test.
  * CI: Fix missed &> redirection.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Jan 2022 08:14:48 +0100

gnutls28 (3.7.3-3) unstable; urgency=low

  * Fix CI errors:
    + Set PKCS12_ITER_COUNT=600000, avoid more tests requiring a special test
      binary.
    + 40_bashism_in_test.diff: Avoid &> redirection.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Jan 2022 07:45:00 +0100

gnutls28 (3.7.3-2) unstable; urgency=low

  * B-d on python3 instead of python3-minimal, the json module is not part of
    -minimal.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 20 Jan 2022 18:40:59 +0100

gnutls28 (3.7.3-1) experimental; urgency=low

  * New upstream version.
   + Does not use GNU autogen anymore, update Build-Depends.
   + Drop 40_fix-gtk-mkhtml.patch.
   + Update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 18 Jan 2022 18:58:41 +0100

gnutls28 (3.7.2-5ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
    TLS1.3 with medium security profile (2048 RSA keys minimum, and
    similar).
    - Reduce parallelism in build to 2 to address FTBFS with lto

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Jan 2022 21:03:33 +0100

gnutls28 (3.7.2-5) unstable; urgency=medium

  * 40_fix-gtk-mkhtml.patch by Dennis Filder fixes gtk-doc generation.
    Closes: #1003075
  * Cherrypick some improvements to debian/rules suggested by Dennis Filder.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 05 Jan 2022 18:46:29 +0100

gnutls28 (3.7.2-4ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
    TLS1.3 with medium security profile (2048 RSA keys minimum, and
    similar).
    - Reduce parallelism in build to 2 to address FTBFS with lto

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Dec 2021 21:29:48 +0100

gnutls28 (3.7.2-4) unstable; urgency=low

  * Run wrap-and-sort -ast, and drop depends/b-d on libgmp > 2:6 since even
    oldstable uses this version.
  * Upload to unstable

 -- Andreas Metzler <ametzler@debian.org>  Sun, 19 Dec 2021 13:57:12 +0100

gnutls28 (3.7.2-3) experimental; urgency=medium

  * Another test build against guile-3.0. #964284

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Aug 2021 14:29:40 +0200

gnutls28 (3.7.2-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
    TLS1.3 with medium security profile (2048 RSA keys minimum, and
    similar).
    - Reduce parallelism in build to 2 to address FTBFS with lto

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Nov 2021 09:23:28 +0100

gnutls28 (3.7.2-2) unstable; urgency=low

  * Invoke dh_autoreconf with GTKDOCIZE=echo for arch-only builds, fixing
    FTBFS. Closes: #992849
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 24 Aug 2021 19:46:02 +0200

gnutls28 (3.7.2-1) experimental; urgency=medium

  * New upstream version.
    + Drop debian/patches/5[56]*.
    + Update libgnutls30.symbols.
    + Update copyright file.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Jun 2021 13:49:44 +0200

gnutls28 (3.7.1-5ubuntu1) impish; urgency=low

  * Merge from Debian unstable (LP: #1939739). Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
    TLS1.3 with medium security profile (2048 RSA keys minimum, and
    similar).
    - Reduce parallelism in build to 2 to address FTBFS with lto
  * Add LP bug number to previous merge entry in changelog

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Thu, 12 Aug 2021 13:17:53 -0600

gnutls28 (3.7.1-4ubuntu1) impish; urgency=low

  * Merge from Debian unstable (LP: #1929229). Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
    TLS1.3 with medium security profile (2048 RSA keys minimum, and
    similar).
  * Fix FTBFS with lto - reduce parallelism to 2. LP: #1922004

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Fri, 21 May 2021 10:29:32 -0600

gnutls28 (3.7.1-3ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
    TLS1.3 with medium security profile (2048 RSA keys minimum, and
    similar).
  * Fix FTBFS with lto - reduce parallelism to 2. LP: #1922004
  * Merge CVE fixes CVE-2021-20231 CVE-2021-20232

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 14 Apr 2021 15:44:37 +0100

gnutls28 (3.7.0-5ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable LP: #1893924.  Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
    TLS1.3 with medium security profile (2048 RSA keys minimum, and
    similar).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 31 Dec 2020 15:56:50 +0000

gnutls28 (3.6.15-4ubuntu2) groovy; urgency=low

  * Merge from Debian unstable LP: #1893924.  Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and

