=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,7 @@
 	--with-packager=Debian \
 	--with-packager-bug-reports=http://bugs.debian.org/ \
 	--with-packager-version=$(DEB_VERSION) \
+	--with-default-priority-string='NORMAL:-VERS-ALL:+VERS-TLS1.3:+VERS-TLS1.2:+VERS-DTLS1.2:%PROFILE_MEDIUM'
 
 BDIR = -O--builddirectory=b4deb
 
@@ -47,16 +48,25 @@
 
 override_dh_autoreconf:
 	rm -v `grep -rl gettext-0.20 m4/`
-	dh_autoreconf --verbose $(BDIR)
+	if ! dh_listpackages | grep -q gnutls-doc ; \
+		then env GTKDOCIZE="echo DISABLED running gtkdocize" \
+			dh_autoreconf --verbose $(BDIR) ; \
+		else \
+			dh_autoreconf --verbose $(BDIR) ; \
+		fi
 
 override_dh_makeshlibs:
-	dh_makeshlibs $(BDIR) -p libgnutlsxx28 -V 'libgnutlsxx28 (>= 3.6.11)'
-	dh_makeshlibs $(BDIR) -p libgnutls30  -V 'libgnutls30 (>= 3.6.13-0)' -- -c4
-	dh_makeshlibs $(BDIR) -p libgnutls-dane0  -V 'libgnutls-dane0 (>= 3.6.11-0)' \
+	dh_makeshlibs $(BDIR) -p libgnutlsxx28 -V 'libgnutlsxx28 (>= 3.7.0)'
+	dh_makeshlibs $(BDIR) -p libgnutls30  \
+		-V 'libgnutls30 (>= 3.7.0-0)' -- -c4
+	dh_makeshlibs $(BDIR) -p libgnutls-dane0  \
+		-V 'libgnutls-dane0 (>= 3.7.0-0)' \
 		-- -c4
-	dh_makeshlibs $(BDIR) -p libgnutls-openssl27 -V 'libgnutls-openssl27 (>= 3.6.11-0)'
+	dh_makeshlibs $(BDIR) -p libgnutls-openssl27 \
+		-V 'libgnutls-openssl27 (>= 3.7.0-0)' \
+		-- -c4
 	dh_makeshlibs $(BDIR) --remaining-packages \
-		-Xguile/2.2/
+		-Xguile/2.2/ -Xguile/3.0/
 
 
 # pre-clean rule: save gnutls.pdf since it is expensive to regenerate.
@@ -69,7 +79,6 @@
 	# restore gnutls.pdf
 	if [ -e doc/gnutls.pdf.debbackup ] && [ ! -e doc/gnutls.pdf ] ; \
 		then mv -v doc/gnutls.pdf.debbackup doc/gnutls.pdf ; fi
-	rm -fv `grep -El 'has been AutoGen-ed |has been AutoGen-ed *$$' doc/manpages/*.?`
 
 override_dh_auto_build:
 	dh_auto_build $(BDIR) --verbose
@@ -83,7 +92,11 @@
 override_dh_auto_install:
 	dh_auto_install $(BDIR) --verbose
 ifneq ($(filter --disable-doc,$(AMCONFBUILDINDEP)),)
-	$(MAKE) -C b4deb/doc/manpages DESTDIR=`pwd`/debian/tmp install
+	$(MAKE) -C b4deb/doc/manpages DESTDIR=$(CURDIR)/debian/tmp install
+else
+	$(MAKE) -C b4deb/doc/ DESTDIR=$(CURDIR)/debian/tmp install-html
+	# we symlink these
+	rm -vf debian/tmp/usr/share/info/*.png
 endif
 	find debian/*/usr/lib/* -name '*.so.*.*' -type f -exec \
 		chrpath -d {} +
@@ -112,7 +125,7 @@
 
 # Fails with "dwz: Section overlap detected"
 override_dh_dwz:
-	dh_dwz -O--builddirectory=b4deb -Xextra.go -Xgnutls.go
+	dh_dwz $(BDIR) -Xextra.go -Xgnutls.go
 
 %:
-	dh $@ --builddirectory=b4deb
+	dh $@ --builddirectory=b4deb --max-parallel=2
